Subject: RE: [Mip6] Proxy Mobile IPv6 - I-D Submission

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 17 Oct 2006 11:51:41 -0700

Hi Alex and Sri.

I think we can avoid the specifics of default route, IP filter, VRF,
etc. in the forwarding of packets that came from the MN.  This is an
implementation choice since any of the methods will work (so you're both
right :).  No problem of using a method as an example for clarifications
though.  The gist is that packets from the MN and received on the MPA
will be tunneled to the HA.  The internal mechanism on the MPA is set up
by the signaling.

Kent

-----Original Message-----
From: Sri Gundavelli (sgundave) 
Sent: Tuesday, October 17, 2006 11:03 AM
To: Alexandru Petrescu
Cc: [email-masked]; Kent Leung (kleung); Vijay Devarapalli
Subject: Re: [Mip6] Proxy Mobile IPv6 - I-D Submission

Hi Alex,

Thanks for the review comments .. please see inline ..

On Tue, 17 Oct 2006, Alexandru Petrescu wrote:

<snip>

>>  After receiving a Proxy Binding Acknowledgment with the status code

>> indicating the acceptance of the Binding Acknowledgment, the proxy 
>> mobile  agent can set up the tunnel to the home agent and add a 
>> default route to  the home agent.
>
> If the PMA adds a default route each time it receives a proxy BAck it 
> may end up with many default routes - there should be only one (only 
> one is taken into account anyways).
>
> That default route is practically a route for encapsulated packets 
> coming from the MN for which this proxy BAck corresponds - involves 
> traffic shaping or IP filters; not default route.  The default route 
> linking of PMA to HA should be there regardless of mobiles visiting
it.

There is a tunnel between the home agent and the proxy mobile agent.
At the home agent, the mobile prefix is reachable via this tunnel.
When the mobile to a different link, the proxy mobile agent on that link
will establish a tunnel with the home agent. The home agent will delete
the prefix route from the prev tunnel and add it to the new tunnel.

>From the proxy routing point of view, the tunnel is the default route.
The proxy is functioning as a default router on the access link
connecting the mobile, any traffic it receives on that link, it just
routes them on the tunnel to the home agent. The home agent after
decaps, will route the packet. So, there should be only one default
route at the proxy for each mobile.

>>  Implementations are free to pre-establish tunnels between every home

>> agent and every proxy mobile station in the network and with out 
>> creating  and destroying the tunnels on a need basis.
>
> The routes that should be pre-established (independent of MN 
> movements) are routes for straight traffic (not tunnel).  I don't 
> think the tunnel routes should be pre-established, nor 
> post-established, should be independent of an MN being attached to a
PMA.

Having pre-established tunnels in a closely managed network, avoids the
need for creating/deleting tunnel each time a mobile comes in. These are
fat tunnels supporting many mobiles as in MIPv4, so in some cases it
might be ok to pre-create the tunnel. But, adding a route over that
tunnel is based on MN's visit. But, you raised the issue of default
route, I agree we need to be clear on this as what the defaulr route
means when there are multiple MN's from different HA's.

>>  The following are the details of the tunnel [on PMA].
>>
>>  o  Tunnel Source Address is the IPv6 Address on the egress interface
>>
>>  o  Tunnel Destination Address is the home agent's address
>>
>>  o  Tunnel Encapsulation Mode is IPv6/IPv6
>
> And the routing table entr(y)(ies) corresponding to this tunnel?  It's

> illustrative to mention it here.
>

Ok.

>>  Any packets that the mobile station sends, it [PMA] will simply
route
>>   them to the home agent over the tunnel.
>
> How does PMA know to route packets coming from a mobile, to the HA?
>

There is a tunnel from PMA to the HA for each mobile. The routing state
that the PMA creates can be based on the source prefix.

- All traffic from this source prefix, route this over the tunnel t0,
with the destination as the home agent.

or

The link connecting the proxy and the mobile is a point to point link.
Adding a simple VRF for this link and on the tunnel to the home agent,
with a default route over the tunnel, will route all packets from that
link on to the tunnel.

<snip>

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 17 Oct 2006 21:20:30 +0200

Kent Leung (kleung) wrote:
> implementation choice since any of the methods will work (so you're
> both right :).  No problem of using a method as an example for
> clarifications though.  The gist is that packets from the MN and
> received on the MPA will be tunneled to the HA.

Sounds good, and an example is often relevant for illustrative purposes.

> The internal mechanism on the MPA is set up by the signaling.

Yes, I understand you mean PBU-PBAck signalling, combined eventually 
with profile retrieving based on AAA.

I'm wondering what can happen when the MR is allocated (via PMA) a 
prefix in PBAck.  Can MR use the prefix it's allocated in PBAck to 
distribute further in its moving network?  Or should it obtain the 
prefix from DHCP PD?

Alex

> 
> Kent
> 
> -----Original Message----- From: Sri Gundavelli (sgundave) Sent:
> Tuesday, October 17, 2006 11:03 AM To: Alexandru Petrescu Cc:
> [email-masked]; Kent Leung (kleung); Vijay Devarapalli Subject: Re:
> [Mip6] Proxy Mobile IPv6 - I-D Submission
> 
> Hi Alex,
> 
>>> indicating the acceptance of the Binding Acknowledgment, the
>>> proxy mobile  agent can set up the tunnel to the home agent and
>>> add a default route to  the home agent.
>> If the PMA adds a default route each time it receives a proxy BAck
>> it may end up with many default routes - there should be only one
>> (only one is taken into account anyways).
>> 
>>  coming from the MN for which this proxy BAck corresponds -
>> involves traffic shaping or IP filters; not default route.  The
>> default route linking of PMA to HA should be there regardless of
>> mobiles visiting
> it.
> 
> When the mobile to a different link, the proxy mobile agent on that
> link will establish a tunnel with the home agent. The home agent will
> delete the prefix route from the prev tunnel and add it to the new
> tunnel.
> 
> Having pre-established tunnels in a closely managed network, avoids
> the need for creating/deleting tunnel each time a mobile comes in.
> These are fat tunnels supporting many mobiles as in MIPv4, so in some
> cases it might be ok to pre-create the tunnel. But, adding a route
> over that tunnel is based on MN's visit. But, you raised the issue of
> default route, I agree we need to be clear on this as what the
> defaulr route means when there are multiple MN's from different HA's.
> 
> 
> 
> 
> There is a tunnel from PMA to the HA for each mobile. The routing
> state that the PMA creates can be based on the source prefix.
> 
> The link connecting the proxy and the mobile is a point to point
> link. Adding a simple VRF for this link and on the tunnel to the home
> agent, with a default route over the tunnel, will route all packets
> from that link on to the tunnel.
> 
> 
> <snip>
>